Bug 1312064 - [GSS](6.4.z) HTTP Server used for management doesn't support non-ascii characters in BASIC authentication
[GSS](6.4.z) HTTP Server used for management doesn't support non-ascii charac...
Product: JBoss Enterprise Application Platform 6
Classification: JBoss
Component: Domain Management (Show other bugs)
Unspecified Unspecified
unspecified Severity unspecified
: CR1
: EAP 6.4.10
Assigned To: Bartek Spyrko-Smietanko
Martin Simka
Depends On:
Blocks: 1270708 1312069 eap6410-payload
  Show dependency treegraph
Reported: 2016-02-25 11:22 EST by Bartek Spyrko-Smietanko
Modified: 2017-01-17 07:59 EST (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2017-01-17 07:59:44 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Bartek Spyrko-Smietanko 2016-02-25 11:22:05 EST
Description of problem:
When using a password like 'test123!ü' different browsers generate the BASIC credentials string using different encodings resulting in failed authentication.
This causes issues when using management console with LDAP.

Same issue in Undertow: https://issues.jboss.org/browse/UNDERTOW-595 fixed in https://github.com/spyrkob/undertow/commit/98fe959a4f4cde414c36b268734e22421f170460

Note this issue is to track fixes in httpserver component. The changes to EAP code will be tracked in https://bugzilla.redhat.com/show_bug.cgi?id=1270708

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. Set up LDAP authentication with user admin identified by 'test123!ü'
2. In Firefox go to http://localhost:9990 and try to authenticate

Actual results:
Authentication refused

Expected results:
Authentication successful

Additional info:
Comment 1 Bartek Spyrko-Smietanko 2016-02-25 11:29:11 EST
Wrong link - undertow fix: https://github.com/undertow-io/undertow/commit/98fe959a4f4cde414c36b268734e22421f170460
Comment 2 Bartek Spyrko-Smietanko 2016-02-25 11:29:28 EST
PR: https://github.com/jbossas/httpserver/pull/5
Comment 4 Mike McCune 2016-03-28 18:21:53 EDT
This bug was accidentally moved from POST to MODIFIED via an error in automation, please see mmccune@redhat.com with any questions
Comment 5 Ivo Hradek 2016-08-29 05:02:37 EDT
Verified with EAP 6.4.10.CP.CR2;

Note: For browsers that use ISO-8859-1, like Firefox [1], the fix won't work for characters outside of ISO-8859-1 (chinese, japanase, russian etc.).

[1] https://bugzilla.mozilla.org/show_bug.cgi?id=41489
Comment 6 Petr Penicka 2017-01-17 07:59:44 EST
Retroactively bulk-closing issues from released EAP 6.4 cummulative patches.

Note You need to log in before you can comment on or make changes to this bug.